/* *****************************************************************
   Directory: /home/mchernoff/P219C_Mito/methods
   Pgm: autoexec.sas
   Date: July 8, 2011
   Last edited: 

   Purpose: 
            * MWG iDACS 616 -

              Set up library names and search paths.

              Preparing programs and datasets for Methods manuscript

*********************************************************************/

libname library  '/home/prinf/formats/sun';
libname pedslib  '/home/peds/formats';
libname p219clib "/home/peds/actg219C/formats";
libname p219lib  "/home/peds/actg219/formats";

libname mitometh  "/home/mchernoff/P219C_Mito/methods";


** ----- autocall macros      ------*;

filename pubautos '/home/public/macros';
filename sasautos '/usr/local/vendor/sas91/sasautos';
options mautosource sasautos=(pubautos sasautos);


***************************************************;
* System options *;
***************************************************;

options ps=60 ls=80 ; 
options nocenter nofmterr mprint yearcutoff=1920 source2
        fmtsearch=(p219lib p219clib pedslib library);

                         /* 2 digit dates will be interpreted
                            as being between 1920 and 2020 */

***************************************************;
* date and time ;
***************************************************;
data _null_;
xtoday=today();
xtime=datetime();
call symput('now',trim(left(put(xtoday,date9.))));
call symput('nowtime',trim(left(put(xtime,datetime15.))));
run;

***************************************************;
* Report macro variable string *;
***************************************************;

%let  mreport = /home/mchernoff/P219C_Mito/methods;













