/*---------------------------------------------
* File:  methods/mito_tmpformat_meth.sas *
* Source: sas_programs/mito_tmpformat.sas (5-5-05)
* Date:  7-11-2011

* Last edited: 
  
* Purpose: Define formats for iDACS 616 work *
 
-----------------------------------------------*/

proc format;
value yn10f
 1="Yes"
 0="No"
 ;
run;

* mdc points *;

proc format; 
value score2f
 0 = "No events"
 1 = "Unlikely"
 2-4= "Possible"
 5-7= "Probable"
 8-12= "Definite"
 ;

* first system- metabolic does not count *;

value systemf
 1= "Muscular"
 2= "CNS"
 3= "Multi-system"
 0= "Other/None"
 ;

* 8-4-05 added 601, 613 to distinguish neuropsych test scores *;

value q1f
 1= "Non-febrile seizures"
 2= "Febrile seizures"
 3= "Peripheral neuropathy"
 4= "Acquired microcephaly"
 5= "Cranial paresis"
 6= "Major mental retardation"
 7= "Cerebellar syndrome"
 8= "Motor abnormality"
 9= "Febrile seziures (minor sign)"
10= "Pyramidal or extrapyramidal syndrome"
11= "Hyperexcitability/Other behavior problem"
12= "Hypotonia/Hypertonia"
13= "Moderate mental retardation"
14= "Pancreatitis"
15= "Cardiomyopathy"
16= "Myopathy"
17= "Visual acuity/retinopathy"
18= "Abnormal ocular motor function"
19= "Nystagmus"
20= "Deafness"
21= "Unexplained death"
22= "Increased Tranaminase"
23= "Anemia, neutropenia, thrombocytopenia"
24= "Tubulopathy"
601= "Severely low neuropsych test scores"
613= "Moderately low neuropsych test scores"
/* added 10-19-05 for mac_constell_q1.sas only */
25= "Severely low neuropsych test scores"
26= "Moderately low neuropsych test scores"
;

* 8-4-05 added 2933, 701 *;
*   2933 is for those kids with short stature and failure to thrive *;
*   701 distinguishes low test scores from neuropsych dx *;

value q2f
 1= "Progressive External Ophthalmoplegia"
 2= "Ptosis/Facies Myopathica"
 3= "Exercise Intolerance/Muscle Fatigue/Weakness"
 4= "Reduced Muscle Power"
 5= "Rhabdomyolysis"
 501= "Abnormal Blood CPK"
 502= "Muscle Pain"
 6= "Abnormal EMG"
 701= "Delayed neuropsych test scores"
 7= "Communication disorders"
 8= "Pervasive developmental disorders"
 9= "Learning Disorders"
10= "Attention deficit/Disruptive behav."
11= "Cognitive/Attention disorders"
12= "Behavior/Socialization disturbances"
13= "Retardation"
14= "Loss of acquired skills"
15= "CNS Haemorrhages and CVA"
16= "CNS Vascular Disordesr NEC"
17= "Transient Cerebrovascular events"
18= "Migraine"
19= "Frank seizures/Abnormal EEG"
20= "Myoclonus/Myoclonic epilepsy"
21= "Cortical blindness"
22= "Pyramidal tract S/S"
23= "Extrapyramidal S/S"
24= "Brainstem S/S"
25= "Cerebellar coordination/balance disturbance"
26= "Hema-Sideroblastic anaemia"
27= "Hema-Pancytopenia"
28= "Gastro-Hepatic dysfunction"
29= "Gastro-Failure to thrive"
30= "Gastro-Exocrine pancreatic dsyfunction"
31= "Gastro-Intestinal pseudoobstruction"
32= "Gastro-Chronic diarrhea"
33= "Endocrine-Short stature"
34= "Endocrine-Delayed puberty"
35= "Endocrine-Impaired glucose tolerance or Diabetes type I/II"
36= "Endocrine-Hypoparathyroidism"
37= "Endocrine-Central diabetes insipidus"
38= "Heart- Cardiomyopathy"
39= "Heart- Conduction block/cardiac arrhythmias"
40= "Kidney- Proximal tubular dysfunction"
41= "Kidney- Focal segmental glomerulosclerosis"
42= "Eyes- Cataract"
43= "Eyes- Retinopathy"
44= "Eyes- Optic atrophy"
45= "Ears- Sensorineural hearing loss"
46= "Nerve-peripheral neuropathy"
47= "Metabolic-Elevated lactate (blood)"
48= "Metabolic-Elevated Lactate Pyruvate ratio"
49= "Metabolic-Elevated alanine"
50= "Metabolic-Elevated CSF Lactate"
51= "Metabolic-Elevated CSF Protein"
52= "Metabolic-Urine- Elevated Lactate"
2933= "Failure to Thrive and Short Stature"
;

