/*----------------------------------------

*File:  print_contents.sas *;

*Date: 7-12-2011

* Last edited: 7-13-2011- add means to review
                          randomized patids.

*Purpose: Print input and output datasets,
          contents for methods publication

*-------------------------------------------*/

options ls=130 orientation=landscape;
%include "/home/mchernoff/P219C_Mito/methods/mito_tmpformat_meth.sas";


* 7-11-11 *;

* input and output datasets, after modification for publication*;

%macro printcont2(
  dset= /* dataset */
  );

x "gunzip /home/mchernoff/P219C_Mito/methods/&dset..sas7bdat.gz";

proc contents data=mitometh.&dset. varnum;
title "&dset, methods paper";
run;

proc means data=mitometh.&dset. maxdec=2 n mean std min max;
var patid;
title "&dset., methods paper, de-identified pids";
run;

x "gzip /home/mchernoff/P219C_Mito/methods/&dset..sas7bdat";

%mend;

%printcont2 (dset=master);

%printcont2 (dset=s_condf);
%printcont2 (dset=date_fq2);
%printcont2 (dset=scor_fq2);
%printcont2 (dset=first);

%printcont2 (dset=filtq1);
%printcont2 (dset=date_fq1);
%printcont2 (dset=datall_fq1);


